org.eclipse.jdt.ui.search

## Interface ISearchRequestor

    public interface ISearchRequestor

A callback interface to report matches against. This class serves as a bottleneck and minimal interface to report matches to the Java search infrastructure. Query participants will be passed an instance of this interface when their `search(...)` method is called.

This interface is not intended to be implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `reportMatch(Match match)` Adds a match to the search that issued this particular `ISearchRequestor`.

### Method Detail

#### reportMatch

    void reportMatch(Match match)

Adds a match to the search that issued this particular `ISearchRequestor`.

Parameters:
  `match` - The match to be reported.